/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/***************************************************************************
 *            preferences.h
 *
 *  Wed Jan 22 23:45:46 2003
 *  Copyright  2003  luke@biddell.co.uk
 *  luke@dhcp-45-369
 ****************************************************************************/

#ifndef _PREFS_H
#define _PREFS_H

#include <gnome.h>

typedef struct
{
	gchar readDevice[64];
	gchar writeDevice[64];
	gint speed;
	gboolean multisession;
	gboolean dummy;
	gboolean eject;
	gchar tempDir[256];
	gboolean fastBlank;
	gboolean datacdbootable;
	gboolean burnfree;
	gboolean showhiddenfiles;
	gboolean cleantempdir;
	gboolean createisoonly;
	gchar writeMode[64];
}
PreferencesData;

PreferencesData *preferences_get ();
gboolean preferences_save ();
gboolean preferences_load ();
gboolean preferences_init ();

gchar* preferences_get_copy_data_cd_image();
gchar* preferences_get_create_data_cd_image();
gchar* preferences_get_convert_audio_track_dir();
GtkToolbarStyle preferences_get_toolbar_style();

#endif
